commit:     21b3ab493357483e6b0e185ef0572f3013769236
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  3 09:56:10 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep  3 12:04:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21b3ab49

dev-python/ipywidgets: Bump to 8.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipywidgets/Manifest                |  1 +
 dev-python/ipywidgets/ipywidgets-8.0.2.ebuild | 43 +++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index 818851ad02b9..6400c314a77c 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1,2 +1,3 @@
 DIST ipywidgets-7.7.1.tar.gz 4075672 BLAKE2B 
1e52d3b3b9380f42f67ad658f6e8579a61220e7160c10b1569437c1fd74ce962fbe746f3a6a3e302b5417812f69807deddc0ae3fe255b8e2f213d65103d55362
 SHA512 
ed6bf1a59a511714a3af96cc66e7665b9b264f56862ca4ea02d943137fcc6018da8fcb8dff4a8f9157bfb46cc19b7d58ceaff028e84f2f8d18ee16e57ce7fb96
 DIST ipywidgets-8.0.1.tar.gz 111771 BLAKE2B 
78217eaf6386f18a634c016562925213233ed6fc3b35266fede83f66e831f761766be0db3e23ef694edd9bc6089ff987df97f6addf2a17bc5ef1d4b6d59585b7
 SHA512 
cb443734897f786a86a34ab6177d84e32d00155513c835756dc53a76b7201144e0cb34c3701c06b07df22de78f6d43973f4b9be456c3b4a22db39c16de4a4dc6
+DIST ipywidgets-8.0.2.tar.gz 112516 BLAKE2B 
85af0099fbbd3344e7e7985770a3dd60a5acd9dc048a274f3401e0ba6e28ff9f30405d1c32297e9b9dc004e617b26aad3f4f881d25804a9d2178f90ed2eb1c14
 SHA512 
45726027c68cbb6647813ba5be9e2192e63a9d80dd69246b516fef32fa0822b6cbc76d2a0622211a24fb46082c5aebcc620ece687f593077740913deaa69ceda

diff --git a/dev-python/ipywidgets/ipywidgets-8.0.2.ebuild 
b/dev-python/ipywidgets/ipywidgets-8.0.2.ebuild
new file mode 100644
index 000000000000..1067cdc66e26
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-8.0.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+       https://ipywidgets.readthedocs.io/
+       https://github.com/jupyter-widgets/ipywidgets/
+       https://pypi.org/project/ipywidgets/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+       >=dev-python/ipython_genutils-0.2.0[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+       >=dev-python/widgetsnbextension-3.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # upstream hack to autoconfigure ipywidgets in jupyter
+       # we don't have jupyterlab_widgets packaged
+       sed -i -e '/jupyterlab_widgets/d' setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to